Package Scientific :: Package TkWidgets :: Module TkVisualizationCanvas :: Class PolyLine3D

[frames] | no frames]

# Class PolyLine3D

    PolyPoints3D --+
                   |
                  PolyLine3D

Multiple connected lines

Instance Methods

__init__(self, points, **attr) |

lines(self) |

Inherited from `PolyPoints3D`: `boundingBox`, `boundingBoxPlane`, `project`, `scaleAndShift`

Method Details

### __init__(self, points, **attr)
(Constructor)

Parameters:
  - `points` - any sequence of (x, y, z) coordinate triples
  - `attr` - line attributes
  - `width` (`int`) - line width (default: 1)
  - `color` (`str`) - a Tk color name (default: `"black"`)
Overrides: PolyPoints3D.__init__